/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-06-2012 04:35:42pm
Filepath: scripts\events and scenarios\Easter 2012\Easter Collection\DonationBox.cs
Lines of code: 69

Description: 

***********************************************************/


using System;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Items
{
	public class EasterDonationBox : BaseCollectionItem
	{
		public override int LabelNumber{ get{ return 1073407; } } // Please Contribute to the public Museum of Vesper.
		public override Collection CollectionID{ get{ return Collection.EasterCollection; } }
		public override int MaxTier{ get{ return 1; } }
		
		[Constructable]
		public EasterDonationBox() : base( 11536 )
		{
			Hue = 1192;
			Name = "Easter Egg Collection Statue";
			StartTier = 5;
			NextTier = 15;
			DailyDecay = 1;
		}
		
		public EasterDonationBox( Serial serial ) : base( serial )
		{			
		}
		
		public override void Init()
		{
			base.Init();
			
			Donations.Add( new CollectionItem( typeof( CommonEgg ), 10248, 503213, "Common Egg", 1165, 1 ) );
			Donations.Add( new CollectionItem( typeof( UncommonEgg ), 10248, 503213, "Uncommon Egg", 1151, 5 ) );
			Donations.Add( new CollectionItem( typeof( RareEgg ), 10248, 503213, "Rare Egg", 1168, 10 ) );
			Donations.Add( new CollectionItem( typeof( GreatGoldenEgg ), 10248, 503213, "Golden Egg", 2213, 20 ) );
			
			Rewards.Add( new CollectionItem( typeof(ChocolateBunny2012), 8485, 503213, "Chocolate Bunny", 1192, 20.0 ) );
			Rewards.Add( new CollectionItem( typeof(EasterSparks), 3568, 503213, "Easter Sparks", 1169, 40.0 ) );
			Rewards.Add( new CollectionItem( typeof(PigmentTicket), 5360, 503213, "Pigment Ticket, 1 use", 1154, 50.0 ) );
			Rewards.Add( new CollectionItem( typeof(EasterBasket2012), 9433, 503213, "Easter Basket", 1162, 60.0 ) );

			Rewards.Add( new CollectionItem( typeof(randomartydeed), 5360, 503213, "Random Artifact", 45, 70.0 ) );
			Rewards.Add( new CollectionItem( typeof(PetBondingDeed), 5360, 503213, "Pet Bonding Deed", 572, 80.0 ) );
			Rewards.Add( new CollectionItem( typeof(CommemorativeEasterEgg), 18406, 503213, "Commemorative Egg", 1153, 100.0 ) );
			Rewards.Add( new CollectionItem( typeof(SquirrelAcorn), 11594, 503213, "Squirrel Acorn", 1192, 150.0 ) );
			
			Rewards.Add( new CollectionItem( typeof(CostumeEasterBunny), 6589, 503213, "Bunny Costume", 0, 175.0 ) );
			Rewards.Add( new CollectionItem( typeof(SpringRobe), 7939, 503213, "Spring Robe", 75, 200.0 ) );
			Rewards.Add( new CollectionItem( typeof(RebirthTalisman), 12122, 503213, "Rebirth Talisman", 1165, 225.0 ) );
		}
		
		public override void IncreaseTier()
		{			
			base.IncreaseTier();
			
			List<object> list = new List<object>();
			Item c;
			
			// don't know names above lev 6
			switch ( Tier )
			{				
				case 1:					
					break;
			}
			
			if ( list.Count > 0 )
				Tiers.Add( list );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}
}